Subject: Re: bug#79346: igc: PolicyShouldCollectWorld

From: Helmut Eller <[email-masked]>
Date: Thu, 04 Sep 2025 09:32:25 +0200

On Thu, Sep 04 2025, Gerd Möllmann wrote:
> Good find, Helmut. There used to be a comment in arena_step wondering
> what's going on, but it got removed, apparently. Does this look right?

LGTM.

BTW, in igc_on_idle, arena_step is called repeatedly as long as
work_done is true.  Note that buffer_step sets work_done to true until
the buffer iterator is exhausted.  So arena_step is called for each
buffer.  That seems a bit excessive.

What would you think of making mps_arena_step and perhaps buffer_step
available from Lisp so that those things can be called from Lisp-level
idle timers?